const {defineConfig} = require('@vue/cli-service')

process.env = { ...process.env, ...require('dotenv').config().parsed };

module.exports = defineConfig({
    transpileDependencies: true,
    devServer: {
        port:3000,
        proxy: {
            '/api': {
                target: 'http://192.168.1.178:8000', // 你的后端服务器地址
                ws: false, // 是否代理websockets
                changeOrigin: false, // 是否改变源地址
                pathRewrite: {
                    '^/api': '/api'  //实际请求地址是http://baidu.com/api/news/list
                }
            }
        }
    }
})
